import os
from box.logging import Settings
from ..version import version


class Settings(Settings):

    # Main

    default_command = 'run bootstrap'
    default_pattern = 'default'

    # Argparse

    @property
    def argparse(self):
        argparse = super().argparse
        argparse['prog'] = 'packgram'
        argparse['add_help'] = False
        argparse['arguments'].extend([
            {
             'name': 'path',
             'help': 'Path to create packgram.',
            },
            {
             'dest': 'command',
             'flags': ['-c', '--command'],
             'default': self.default_command,
             'help': 'Command to bootstrap packgram.',
            },
            {
             'action': 'help',
             'flags': ['-h', '--help'],
             'help': 'Display this help message.',
            },
            {
             'dest': 'pattern',
             'flags': ['-p', '--pattern'],
             'default': self.default_pattern,
             'help': 'Pattern to create packgram.',
            },
            {
             'action': 'version',
             'flags': ['-V', '--version'],
             'version': 'Packgram ' + str(version),
             'help': 'Display the program version.',
            },
        ])
        return argparse

    # Extensions

    _extensions = [
        os.path.join(os.path.expanduser('~'), '.packgram', 'settings.py'),
    ]


settings = Settings()
