import os
import inspect
import unittest
from abc import ABCMeta, abstractmethod
from box.find import find_objects


class SetupTest(unittest.TestCase, metaclass=ABCMeta):

    # Public

    __test__ = False

    def setUp(self):
        self.package_setup = find_objects(
            basedir=self._basedir,
            filepathes=['setup.py'],
            filters=[{'objname': 'package'}],
            getfirst=True)

    def test_version(self):
        self.assertEqual(
            self.package_setup['version'],
            self.package.version)

    @property
    @abstractmethod
    def package(self):
        pass  # pragma: no cover

    # Protected

    @property
    def _basedir(self):
        package_dirname = os.path.dirname(inspect.getfile(self.package))
        return os.path.join(package_dirname, '..')
