#TO MAKE CHANGES USE "_sources" DIRECTORY (see packgram docs).

import os
from setuptools import find_packages

package = {

    #Main

    'name': 'packgram',
    'version':'0.15.0',
    'packages': find_packages(
        os.path.dirname(__file__) or '.', 
        exclude=['tests*']
    ),
    'include_package_data': True,
    'install_requires': ['box>=0.36', 'runpack>=0.26', 'jinja2'],  
    'tests_require': ['nose'],
    'test_suite': 'nose.collector',
    
    #Description
    
    'author': 'roll',
    'author_email': 'roll@respect31.com',
    'classifiers': ['Intended Audience :: Developers', 'License :: OSI Approved :: MIT License', 'Programming Language :: Python :: 3', 'Topic :: Software Development :: Libraries :: Python Modules', 'Topic :: System :: Systems Administration'],       
    'description': 'Packgram is a framework to develop packages.',
    'download_url':'https://github.com/respect31/packgram/tarball/0.15.0',
    'license': 'MIT License',
    'maintainer': 'roll',
    'maintainer_email': 'roll@respect31.com',
    'platforms': ['Unix'],
    'url': 'https://github.com/respect31/packgram',
    'long_description': '''.. TO MAKE CHANGES USE "_sources" DIRECTORY (see packgram docs).

Packgram
=====================
Packgram is a framework to develop packages.

.. image:: http://img.shields.io/badge/code-GitHub-brightgreen.svg
     :target: https://github.com/respect31/packgram
     :alt: code
.. image:: http://img.shields.io/travis/respect31/packgram/master.svg
     :target: https://travis-ci.org/respect31/packgram 
     :alt: build
.. image:: http://img.shields.io/coveralls/respect31/packgram/master.svg 
     :target: https://coveralls.io/r/respect31/packgram  
     :alt: coverage
.. image:: http://img.shields.io/badge/docs-RTD-brightgreen.svg
     :target: http://packgram.readthedocs.org
     :alt: docs     
.. image:: http://img.shields.io/pypi/v/packgram.svg
     :target: https://pypi.python.org/pypi?:action=display&name=packgram
     :alt: pypi

Application
-----------
Package is under active development and is not ready for production use.
Backward-compatibility between minor releases (0.x.0), documentation and 
changelog are not guaranteed to be present before stable versions (>=1.0.0).

Requirements
------------
- Platforms

  - Unix
- Interpreters

  - Python 3.3
  - Python 3.4

Installation
------------
- pip install packgram

Contribution
------------
- Authors

  - roll <roll@respect31.com>
- Maintainers

  - roll <roll@respect31.com>

Changelog
---------
- no entries yet

License
-------
**MIT License**

Copyright (c) 2014 Respect31 <post@respect31.com>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
''',  
}

if (not os.environ.get('TRAVIS', None) and  
    not os.environ.get('READTHEDOCS', None)):
    package['entry_points'] = {}
    package['data_files'] = []

if __name__ == '__main__':
    from setuptools import setup
    setup(**package)
