import os
import shutil
import unittest
from functools import partial
from packgram.program.create import create


class create_Test(unittest.TestCase):

    # Public

    def setUp(self):
        self.pcreate = partial(create, command='')

    def tearDown(self):
        shutil.rmtree(self._make_path('path'), ignore_errors=True)

    def test(self):
        self.pcreate(self._make_path('path'))
        self.assertIn('runfile.py', os.listdir(self._make_path('path')))

    def test_with_path_already_exists(self):
        self.pcreate(self._make_path('path'))
        self.assertRaises(RuntimeError, self.pcreate, self._make_path('path'))

    # Protected

    def _make_path(self, *args):
        return os.path.join(os.path.dirname(__file__), 'fixtures', *args)
